Bug 71602 - Nics with different drivers have same entry in modules.conf
Nics with different drivers have same entry in modules.conf
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-08-15 11:57 EDT by Dax Kelson
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-25 10:52:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2002-08-15 11:57:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020804

Description of problem:
My laptop has a builtin 3COM wired nic, and a builtin wireless nic. After
installing Limbo2, I get the following entries in my 


alias eth1 3c59x
alias eth0 3c59x

This is wrong, however, things still seem to work. I suspect this is because the
PCMCIA services load the driver for the wirelss NIC.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Get a Dell Inspiron 4150 w/builtin ethernet and wireless
2.Install Limbo2
3.cat /etc/modules.conf

Actual Results:  n/a

Expected Results:  n/a

Additional info:
Comment 1 Michael Fulbright 2002-08-15 12:20:59 EDT
We're fixing this so the wireless driver is not installed in the loader so the
numbers of the ethernet interfaces should be consistent with post-install.
Comment 2 Brent Fox 2003-05-25 10:52:08 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.